curl --request POST \
--url https://api.getoutbox.ai/contact/send/email/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"sender_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to": "jsmith@example.com",
"in_reply_to_message_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_thread_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getoutbox.ai/contact/send/email/"
payload = {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"html": "<string>",
"text": "<string>",
"sender_identity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to": "jsmith@example.com",
"in_reply_to_message_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reply_to_thread_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject: '<string>',
html: '<string>',
text: '<string>',
sender_identity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to: 'jsmith@example.com',
in_reply_to_message_log_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reply_to_thread_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getoutbox.ai/contact/send/email/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Send Email
Send a single email to a contact. Either html or text is required. subject, html, and text all support {{contact.*}} / {{company.*}} variables. Pass in_reply_to_message_log_id (or reply_to_thread_message_id) to thread the email under a previous send. Opens and link clicks are always tracked.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Subject line. Supports variables.
HTML body. Supports variables.
Plaintext body. Supports variables. Used as a fallback if html is omitted.
EmailSenderIdentity to send from. Defaults to the company default.
Override Reply-To address.
1Thread under a previous EmailMessageLog. Auto-prefixes the subject with Re:.
Conversation ThreadMessage id; must be an email message that has an email_message_log_id reference.
Response
Email sent. Body includes the message log + provider IDs.

